using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Net;

public partial class Admin_NeiRong_WenZhang_ShangChuanZiYuan : System.Web.UI.Page
{
    private 访问 访问;
    protected String 执行代码;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("上传文件", "网站后台", "上传文件", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
        {
            访问.验证权限("10");
            String 返回文件名 = "";
            if (HuoQuLeiXing_T.Checked)
            {
                for (int i = 0; i < Request.Files.Count; i++)
                {
                    HttpPostedFile HF = Request.Files[i];
                    String 文件名 = 常用.随机字符(30);
                    String 后缀 = Path.GetExtension(Request.Files[i].FileName).Substring(1);
                    if (!常用.是否允许后缀(Convert.ToString(程序.设置["资源文件_允许上传的文件类型"]), 后缀))
                        throw new Exception("不允许上传该类型文件");
                    HF.SaveAs(Server.MapPath("~/Temp/" + 文件名 + "." + 后缀));
                    返回文件名 += (返回文件名 == "" ? "" : ",") + "->" + 文件名 + "." + 后缀;
                }
            }
            else
            {
                int i = 1;
                while (Request.Form["d" + i] != null)
                {
                    String 原文件名 = Request.Form["d" + i];
                    String 文件名 = 常用.随机字符(30);
                    String 后缀 = Path.GetExtension(原文件名);

                    if (!常用.是否允许后缀(Convert.ToString(程序.设置["资源文件_允许上传的文件类型"]), 后缀))
                        throw new Exception("不允许上传该类型文件");

                    常用.下载文件(原文件名, Server.MapPath("~/Temp/" + 文件名 + "." + 后缀));
                    返回文件名 += (返回文件名 == "" ? "" : ",") + "->" + 文件名 + "." + 后缀;
                    i++;
                }
            }

            String 文件代码 = "";

            String[] 文件数组 = 返回文件名.Split(new Char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);

            for (int i = 0; i < 文件数组.Length; i++)
                文件代码 += (文件代码==""?"":",")+ 常用.计算文件大小(new FileInfo(Server.MapPath("~/Temp/" + 文件数组[i].Replace("->",""))).Length);

            if (返回文件名 == "")
                执行代码 = "window.close();";
            else
                执行代码 = "opener.SZZY('"+返回文件名+"|"+文件代码+"');window.close();";
        }
    }
}
